%define evo %(rpm -q evolution-devel --queryformat %%{VERSION})
%define fname epienbroek-mail-notification-b4ca832
%define gitrev b4ca832bf6
%define rel 3

Version:	5.4
Summary:	New mail status tray icon
Name:		mail-notification
Release:	%mkrel 29.%{gitrev}.%{rel}
License:	GPLv3+ and GFDL+
Group:		Networking/Mail
# wget https://github.com/epienbroek/mail-notification/tarball/master
Source:		mail-notification-b4ca832bf6.tar.gz
Patch0:     mail-notification-fix-Werror.patch
URL:		https://github.com/epienbroek/mail-notification
BuildRequires:	libsasl-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0) >= 2.4.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.14
BuildRequires:	pkgconfig(gnome-vfs-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libgnome-2.0) >= 2.14.0
BuildRequires:	pkgconfig(libnotify) >= 0.4.1
BuildRequires:	pkgconfig(libxml-2.0)
#gnome-keyring is needed for most engines
BuildRequires: pkgconfig(gnome-keyring-1)
BuildRequires:	libgmime-devel
BuildRequires:	evolution-devel
BuildRequires:	evolution-data-server-devel >= 2.23
BuildRequires:	gob2
BuildRequires:	scrollkeeper
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
#gw aclocal called:
BuildRequires:	intltool
Suggests:	fetchyahoo

%description
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 
Mail Notification features include multiple mailbox support, mbox, MH, 
Maildir, Sylpheed, POP3, IMAP, and Gmail support, SASL and APOP 
authentication support, SSL support, automatic detection of mailbox 
format, automatic notification, and HIG 2.0 compliance.

%package evolution
Group:		Networking/Mail
Summary:	New mail status tray icon for Evolution
Requires:	%name = %version
Requires:	evolution >= %evo

%description evolution
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 

Install this if you use Evolution.

%prep
%setup -q -n %fname
%patch0 -p1

%build
#gw link error in evolution plugin
%define _disable_ld_no_undefined 1
./jb configure \
	prefix=%_prefix \
	libdir=%{_libdir} \
	sysconfdir=%_sysconfdir \
	sysconfdir=%{_sysconfdir} \
	localstatedir=%{_localstatedir} \
	gconf-schemas-dir=%_sysconfdir/gconf/schemas \
	cflags="%optflags" \
	ldflags="%ldflags -Wl,--export-dynamic" \
	libs="-lX11" \
	libexecdir=%{_libexecdir} \
	install-gconf-schemas=no \
	destdir=%buildroot
./jb build 

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ./jb install
rm -f %buildroot%_libdir/evolution/*/plugins/*a
%find_lang %name --with-gnome
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/mail-notification.png %{buildroot}%{_liconsdir}/%{name}.png
ln -s %_datadir/icons/hicolor/32x32/apps/mail-notification.png %{buildroot}%{_iconsdir}/%{name}.png
ln -s %_datadir/icons/hicolor/16x16/apps/mail-notification.png %{buildroot}%{_miconsdir}/%{name}.png

%preun
%preun_uninstall_gconf_schemas mail-notification

%files -f %name.lang
%doc README COPYING TODO 
%config(noreplace) %_sysconfdir/xdg/autostart/mail-notification.desktop
%_bindir/*
%_datadir/%name
%_datadir/applications/*
%dir %_datadir/omf/mail-notification/
%_datadir/omf/mail-notification/%name-C.omf
%_sysconfdir/gconf/schemas/mail-notification.schemas
%_datadir/icons/hicolor/*/apps/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%files evolution
%doc COPYING
%_libdir/evolution/*/plugins/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 5.4-29.b4ca832bf6.3.mga4
+ Revision: 533224
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 luigiwalser <luigiwalser> 5.4-29.b4ca832bf6.2.mga4
+ Revision: 472079
- rebuild for cyrus-sasl

* Tue Aug 20 2013 wally <wally> 5.4-29.b4ca832bf6.1.mga4
+ Revision: 468162
- add part to release tag we can bump
- rebuild with new evolution

* Sat Jul 27 2013 joequant <joequant> 5.4-29.b4ca832bf6.mga4
+ Revision: 459133
- add gnome-keyring which is needed for most engines

* Sat Jul 27 2013 dams <dams> 5.4-28.b4ca832bf6.mga4
+ Revision: 459010
- rebuilt for new evolution

* Thu Jul 18 2013 neoclust <neoclust> 5.4-27.b4ca832bf6.mga4
+ Revision: 455433
- Fix build
- Rebuild against new evolution

* Thu Aug 30 2012 fwang <fwang> 5.4-26.b4ca832bf6.mga3
+ Revision: 285834
- add br
- new snapshot to sync with fedora

* Mon Feb 27 2012 fwang <fwang> 5.4-25.mga2
+ Revision: 215603
- sync with fedora patches
- move back to cauldron
- seems dead upstream
- add fedora patch to build with latest evo
- rebuild for new evo

* Sat Dec 24 2011 wally <wally> 5.4-24.mga2
+ Revision: 187310
- rebuild for new evolution

* Sat Nov 26 2011 fwang <fwang> 5.4-23.mga2
+ Revision: 172439
- rebuild for new evo

* Sat Oct 29 2011 fwang <fwang> 5.4-22.mga2
+ Revision: 159523
- rebuild for new evo

* Thu Sep 29 2011 ovitters <ovitters> 5.4-21.mga2
+ Revision: 150095
- package the .ui files instead of .glade
- spec file cleanup

* Tue Aug 30 2011 fwang <fwang> 5.4-20.mga2
+ Revision: 136496
- add more br
- br gtk2 for gtk-builder-convert
- rebuild for new evo
- rebuild for new evo

  + wally <wally>
    - rebuild for new gmime

  + dmorgan <dmorgan>
    - Rebuild against new evolution-data-server
    - Removed the --sm-disable flag from the autostart file as it isn't
      working anymore (due to the dropped libgnomeui dep). RHBZ #718989
    - Updated the GTK3 patch so that popup windows are themed properly
      and the list of unread mails in popup windows are positioned properly
      Initial patch by Enrico Scholz (RHBZ #702097)

* Sun Jun 26 2011 fwang <fwang> 5.4-16.mga2
+ Revision: 113934
- sync with fedora's gtk3 port

  + dmorgan <dmorgan>
    - Rebuild against new evolution-data-server

* Thu Mar 10 2011 ennael <ennael> 5.4-15.mga1
+ Revision: 67490
- more cleaning
- clean spec file
- imported package mail-notification


* Fri Dec 10 2010 Götz Waschk <waschk@mandriva.org> 5.4-15mdv2011.0
+ Revision: 620433
- update missing icons patch (Joseph Wang

* Wed Dec 08 2010 Götz Waschk <waschk@mandriva.org> 5.4-14mdv2011.0
+ Revision: 616265
- update evolution patches

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 5.4-13mdv2011.0
+ Revision: 566226
- fix build with new evolution-data-server

* Fri Apr 16 2010 Frederic Crozat <fcrozat@mandriva.com> 5.4-12mdv2010.1
+ Revision: 535420
- Fix build
- Patch3: do not use deprecated stock icons

* Mon Feb 01 2010 Götz Waschk <waschk@mandriva.org> 5.4-11mdv2010.1
+ Revision: 499242
- update build deps
- update Evolution patch from Fedora
- fix off-by-one error in SASL auth
- fix line numbers for debugging

  + Frederic Crozat <fcrozat@mandriva.com>
    - Suggests fetchyahoo for Yahoo Mail support

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 5.4-9mdv2010.0
+ Revision: 374590
- rebuild for new evolution

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 5.4-8mdv2010.0
+ Revision: 371118
- patch for new gmime

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 5.4-7mdv2009.1
+ Revision: 336622
- rebuild

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 5.4-6mdv2009.1
+ Revision: 299519
- rebuild for new evolution

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 5.4-5mdv2009.1
+ Revision: 295655
- rebuild for new evolution-data-server

* Tue Aug 12 2008 Götz Waschk <waschk@mandriva.org> 5.4-4mdv2009.0
+ Revision: 271216
- patch for new evolution
- fix optflags
- disable --no-undefined

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 5.4-3mdv2009.0
+ Revision: 240201
- rebuild

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 5.4-2mdv2009.0
+ Revision: 231592
- update license
- rebuild for new nautilus

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu May 22 2008 Götz Waschk <waschk@mandriva.org> 5.4-1mdv2009.0
+ Revision: 210120
- new version
- new version

* Tue Mar 25 2008 Götz Waschk <waschk@mandriva.org> 5.2-1mdv2008.1
+ Revision: 189825
- new version

* Fri Mar 21 2008 Götz Waschk <waschk@mandriva.org> 5.1-1mdv2008.1
+ Revision: 189359
- new version
- drop patch
- update file list
- fix build deps
- adapt for new build system (what a great idea, everyone tries to
- replace the GNU autotools)

* Fri Feb 01 2008 Götz Waschk <waschk@mandriva.org> 5.0-1mdv2008.1
+ Revision: 161044
- new version
- fix build with new eel
- update buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 5.0-0.rc1.1mdv2008.1
+ Revision: 113488
- new version
- drop patch

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 4.1-2mdv2008.1
+ Revision: 103047
- update the patch to fix build with evolution 2.12.1
- fix intltool build

* Tue Jun 26 2007 Götz Waschk <waschk@mandriva.org> 4.1-1mdv2008.0
+ Revision: 44509
- fix buildrequires
- new version
- update the patch

* Fri Jun 08 2007 Götz Waschk <waschk@mandriva.org> 4.0-2mdv2008.0
+ Revision: 37208
- rename evolution plugin

* Thu Jun 07 2007 Götz Waschk <waschk@mandriva.org> 4.0-1mdv2008.0
+ Revision: 36896
- patch for new evolution


* Wed Jan 17 2007 Götz Waschk <waschk@mandriva.org> 4.0-1mdv2007.0
+ Revision: 109952
- new version
- glib rebuild

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 4.0-0.rc2.2mdv2007.1
+ Revision: 99537
- rebuild for new e-d-s

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 4.0-0.rc2.1mdv2007.1
+ Revision: 92084
- new version

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 4.0-0.rc1.4mdv2007.1
+ Revision: 88871
- rebuild to get the right evolution plugin dir

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 4.0-0.rc1.3mdv2007.1
+ Revision: 87970
- add buildrequires for x86_64
- bot rebuild
- new version
- fix buildrequires
- handle new icons
- Import mail-notification

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-.0
- Rebuild with latest dbus

* Wed Aug 02 2006 Gtz Waschk <waschk@mandriva.org> 3.0-4mdv2007.0
- fix error in postun

* Wed Aug 02 2006 Gtz Waschk <waschk@mandriva.org> 3.0-3mdv2007.0
- xdg menu

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-2mdv2007.0
- Rebuild with latest libgail
- use macros

* Thu Jun 15 2006 Gtz Waschk <waschk@mandriva.org> 3.0-1mdv2007.0
- new version

* Wed Jun 07 2006 Gtz Waschk <waschk@mandriva.org> 3.0-0.rc2.2mdv2007.0
- rebuild for new evolution

* Fri May 19 2006 Gtz Waschk <waschk@mandriva.org> 3.0-0.rc2.1mdk
- new version

* Wed May 17 2006 Gtz Waschk <waschk@mandriva.org> 3.0-0.rc1.1mdk
- update deps
- update file list
- drop patches
- new version

* Sat Apr 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-11mdk
- Add BuildRequires: Mono-devel

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 2.0-10mdk
- fix deps
- build with e-d-s 1.6.1

* Wed Feb 22 2006 Gtz Waschk <waschk@mandriva.org> 2.0-9mdk
- fix buildrequires

* Wed Feb 22 2006 Gtz Waschk <waschk@mandriva.org> 2.0-8mdk
- official patch for imap authentication problem

* Sun Nov 20 2005 Gtz Waschk <waschk@mandriva.org> 2.0-7mdk
- rebuild for new openssl

* Thu Oct 13 2005 Gtz Waschk <waschk@mandriva.org> 2.0-6mdk
- arrgh!

* Thu Oct 13 2005 Gtz Waschk <waschk@mandriva.org> 2.0-5mdk
- trying to fix bug #19161

* Sat Oct 08 2005 Gtz Waschk <waschk@mandriva.org> 2.0-4mdk
- evo 2.4

* Mon Aug 15 2005 Gtz Waschk <waschk@mandriva.org> 2.0-3mdk
- enable evolution support

* Mon Aug 15 2005 Gtz Waschk <waschk@mandriva.org> 2.0-2mdk
- register scrollkeeper files
- add menu entry
- patch for gmail

* Thu Aug 11 2005 Gtz Waschk <waschk@mandriva.org> 2.0-1mdk
- fix file list
- small build patch
- New release 2.0

* Mon Mar 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- 1.1

* Thu Nov 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- New release 1.0

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99-1mdk
- fix buildrequires
- New release 0.99

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Mon Nov 01 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- New release 0.8.0

* Tue Oct 26 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- New release 0.7.1

* Fri Oct 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- update file list
- build with soup
- source URL
- New release 0.7.0

* Wed Oct 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-3mdk
- fix buildrequires

* Thu Sep 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- fix buildrequires

* Mon Sep 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- Fix gconf schema install
- Remove pacth0 (merged upstream)

* Sat Aug 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-0.2mdk
- add patch0 for ia64, ppc & x86_64

* Sat Aug 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-0.1mdk
- new, please test
- no Gmail support without libsoup-1x

